TargetDotNetFrameworkVersion Перечисление

Определение

Используется для указания целевой версии .NET Framework для некоторых методов Туллокатионхелпер.Used to specify the targeted version of the .NET Framework for some methods of ToolLocationHelper.

public enum class TargetDotNetFrameworkVersion
public enum TargetDotNetFrameworkVersion
type TargetDotNetFrameworkVersion = 
Public Enum TargetDotNetFrameworkVersion
Наследование
TargetDotNetFrameworkVersion

Поля

Latest 9999

Значение Sentinel для последней версии, с которой осведомлена эта версия MSBuild.Sentinel value for the latest version that this version of MSBuild is aware of. Как и в случае с Версионлатест, за исключением того, что скомпилированное значение в вызывающем приложении не нужно изменять для использования обновления в MSBuild.Similar to VersionLatest except the compiled value in the calling application will not need to change for the update in MSBuild to be used.

Version11 0

Версия 1,1version 1.1

Version20 1

Версия 2,0version 2.0

Version30 2

Версия 3,0version 3.0

Version35 3

Версия 3,5version 3.5

Version40 4

версия 4.0version 4.0

Version45 5

версия 4.5version 4.5

Version451 6

Версия 4.5.1version 4.5.1

Version452 9

Версия 4.5.2.version 4.5.2. Перечисление не упорядочено, так как оно было отправлено из обновления Visual Studio без соответствующего выпуска SDK.Enum is out of order because it was shipped out of band from a Visual Studio update without a corresponding SDK release.

Version46 7

Версия 4,6version 4.6

Version461 8

Версия 4.6.1version 4.6.1

Version462 10

Версия 4.6.2version 4.6.2

Version47 11

Версия 4,7version 4.7

Version471 12

Версия 4.7.1version 4.7.1

Version472 13

Версия 4.7.2version 4.7.2

Version48 14

Версия 4,8version 4.8

VersionLatest 5

Последняя версия доступна во время основного выпуска.The latest version available at the time of major release. Это значение не должно обновляться во вспомогательных выпусках, так как оно может быть критическим изменением.This value should not be updated in minor releases as it could be a breaking change. По возможности используйте "последние", но обратите внимание на последствия совместимости.Use 'Latest' if possible, but note the compatibility implications.

Применяется к